ViennaCL - The Vienna Computing Library: viennacl::linalg::opencl::kernels::detail Namespace Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
viennacl::linalg::opencl::kernels::detail Namespace Reference

Implementation details for the predefined OpenCL kernels. More...

## Functions
template<typename StringT >
void | generate_compressed_matrix_dense_matrix_mult (StringT &source, std::string const &numeric_string, bool B_transposed, bool B_row_major, bool C_row_major)
| Generate kernel for C = A * B with A being a compressed_matrix, B and C dense. More...
template<typename StringT >
void | generate_coordinate_matrix_dense_matrix_mul (StringT &source, std::string const &numeric_string, bool B_transposed, bool B_row_major, bool C_row_major)
| Generate kernel for C = A * B with A being a compressed_matrix, B and C dense. More...
template<typename StringT >
void | generate_ell_matrix_dense_matrix_mul (StringT &source, std::string const &numeric_string, bool B_transposed, bool B_row_major, bool C_row_major)
template<typename StringT >
void | generate_hyb_matrix_dense_matrix_mul (StringT &source, std::string const &numeric_string, bool B_transposed, bool B_row_major, bool C_row_major)
std::string | type_to_string (viennacl::row_major)
std::string | type_to_string (viennacl::column_major)

## Detailed Description

Implementation details for the predefined OpenCL kernels.

## Function Documentation

template<typename StringT >

void viennacl::linalg::opencl::kernels::detail::generate_compressed_matrix_dense_matrix_mult | ( | StringT & | source,
|  | std::string const & | numeric_string,
|  | bool | B_transposed,
|  | bool | B_row_major,
|  | bool | C_row_major
| ) |  |

Generate kernel for C = A * B with A being a compressed_matrix, B and C dense.

Definition at line 118 of file compressed_matrix.hpp.

template<typename StringT >

void viennacl::linalg::opencl::kernels::detail::generate_coordinate_matrix_dense_matrix_mul | ( | StringT & | source,
|  | std::string const & | numeric_string,
|  | bool | B_transposed,
|  | bool | B_row_major,
|  | bool | C_row_major
| ) |  |

Generate kernel for C = A * B with A being a compressed_matrix, B and C dense.

Definition at line 117 of file coordinate_matrix.hpp.

template<typename StringT >

void viennacl::linalg::opencl::kernels::detail::generate_ell_matrix_dense_matrix_mul | ( | StringT & | source,
|  | std::string const & | numeric_string,
|  | bool | B_transposed,
|  | bool | B_row_major,
|  | bool | C_row_major
| ) |  |

Definition at line 90 of file ell_matrix.hpp.

template<typename StringT >

void viennacl::linalg::opencl::kernels::detail::generate_hyb_matrix_dense_matrix_mul | ( | StringT & | source,
|  | std::string const & | numeric_string,
|  | bool | B_transposed,
|  | bool | B_row_major,
|  | bool | C_row_major
| ) |  |

Definition at line 99 of file hyb_matrix.hpp.

std::string viennacl::linalg::opencl::kernels::detail::type_to_string | ( | viennacl::row_major |  | ) |
| inline

Definition at line 917 of file matrix.hpp.

std::string viennacl::linalg::opencl::kernels::detail::type_to_string | ( | viennacl::column_major |  | ) |
| inline

Definition at line 918 of file matrix.hpp.